id: wordpress-black-studio-tinymce-widget

info:
  name: Black Studio TinyMCE Widget Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/black-studio-tinymce-widget/
  metadata:
    plugin_namespace: black-studio-tinymce-widget
    wpscan: https://wpscan.com/plugin/black-studio-tinymce-widget
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/black-studio-tinymce-widget/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/black-studio-tinymce-widget.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4b0a00483046022100fead158462beb1b4b4c50bc5d08c112ae3779e258c61c03c30bb229a73c35f4b022100cd1eb5676789f59cbc460bd2ca15e8a01e9bd34e2f27fc015f646cc607258da1:922c64590222798bb761d5b6d8e72950